Metrics
DELETE /v1/metric/{metric_id}
Delete a custom metric.
DELETE /v1/metric/{metric_id}
curl --request DELETE \
--url https://api.getbluejay.ai/v1/metric/{metric_id}import requests
url = "https://api.getbluejay.ai/v1/metric/{metric_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.getbluejay.ai/v1/metric/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/metric/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/metric/{metric_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.getbluejay.ai/v1/metric/{metric_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/metric/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_bodyThis endpoint is deprecated. Use
POST /v2/delete-metrics instead.DELETE /v1/custom-metric/{metric_id} is the deprecated path of this endpoint.
Path parameters
Headers
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request DELETE \
--url https://api.getbluejay.ai/v1/metric/{metric_id} \
--header 'X-API-Key: <api-key>'
Example response
200
{
"name": "<string>",
"prompt": "<string>",
"summary": "<string>",
"metric_type": "llm_judge",
"eval_method": "llm_judge",
"settings": {},
"source": "custom",
"eval_segment": "all",
"scope": "all",
"response_type": "pass_fail",
"min_value": 1.5,
"max_value": 1.5,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"tags": [
"<string>"
],
"scoring_guidance": "<string>",
"eval_modality": "AUDIO",
"model": "<string>",
"audio_model": "<string>",
"temperature": 1.5,
"enum_options": [
"<string>"
],
"json_schema": {},
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"allow_not_applicable": false,
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
Last modified on November 16, 2026
⌘I
DELETE /v1/metric/{metric_id}
curl --request DELETE \
--url https://api.getbluejay.ai/v1/metric/{metric_id}import requests
url = "https://api.getbluejay.ai/v1/metric/{metric_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.getbluejay.ai/v1/metric/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v1/metric/{metric_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v1/metric/{metric_id}"
req, _ := http.NewRequest("DELETE", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.getbluejay.ai/v1/metric/{metric_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v1/metric/{metric_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
response = http.request(request)
puts response.read_body